import * as React from 'react';
import { DeleteWidgetProps } from './features/Dashboard/DashboardDesigner';
import "./styles.module.css";
import { ReactWidgetPM } from './types/widget';
import { DashboardDataBinding } from './types/DashboardDataBinding';
import { DataPointSelection } from './types/SeriesMeasure';
declare type DashboardProps = {
    token: string;
    tenant: number;
    userId: string;
    isPreviewMode: boolean;
    widgetData: ReactWidgetPM | undefined;
    dataBinding: DashboardDataBinding;
    onChangeLayouts: (layouts: {
        lg: ReactWidgetPM[];
    }) => void;
    openEditWidget: (Widget: ReactWidgetPM) => void;
    onCopyWidget?: (key: string) => void;
    openDeleteWidgetConfirmWindow: (deleteProps: DeleteWidgetProps) => void;
    onSelectDataPoint: (dataPointSelection: DataPointSelection) => void;
};
declare const Dashboard: (props: DashboardProps) => React.JSX.Element;
export default Dashboard;
